/*
 *	grail.h
 *
 *	This file defines the target specific functions which will implement part
 *	of the Grail Port.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef _OPaC_SD_GRAIL_H_
#define	_OPaC_SD_GRAIL_H_

extern void OPaC_GrailPort_Initialise (OPaC_GrPort*& info, OPColorPixel f, OPColorPixel b);
extern void OPaC_GrailPort_Kill (OPaC_GrPort*& info);
extern void OPaC_GrailPort_BeginDraw (OPaC_GrPort* info, int x1, int y1, int x2, int y2, OPaC_ColorMan* cman);
extern void OPaC_GrailPort_EndDraw (OPaC_GrPort* info);
extern void OPaC_GrailPort_Flush (OPaC_GrPort* info);
extern void OPaC_GrailPort_SetClipRect (OPaC_GrPort* info, int x1, int y1, int x2, int y2);
extern void OPaC_GrailPort_SetForeColor (OPaC_GrPort* info, OPColorPixel pixel, OPColorManIn cman);
extern void OPaC_GrailPort_SetBackColor (OPaC_GrPort* info, OPColorPixel pixel, OPColorManIn cman);

extern void OPaC_GrailPort_SetLineStyle (OPaC_GrPort* info, OPColorPixel pixel, OPLineStyle style, OPColorManIn cman);
extern void OPaC_GrailPort_SetFont (OPaC_GrPort* info, OPaC_GrFont* font_info);

#endif /* _OPaC_SD_GRAIL_H_ */
