/*
 *	performer.cxx
 *
 *	The Performer base class is used to perform repetitive
 *	actions on data sets, based on iterators.
 *
 *	(C) Copyright 1994-1997, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#include <OPaC/performer.h>

OP_ABSTRACT_CLASS (OPPerformer);

/****************************************************************/

OPPerformer::OPPerformer () : OPObject ((OPMemZone*)(0))
{
}

OPPerformer::~OPPerformer ()
{
}

void
OPPerformer::StoreInstance (OPStorageIn storage)
{
}

void
OPPerformer::RestoreInstance (OPStorageIn storage)
{
}

void
OPPerformer::Delete ()
{
}
