/*
 *	xtwidget.h
 *
 *	OPaC Extension: Title Widget helper.
 *
 *	(C) Copyright 1997-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#include <OPaC/view.h>
#include <OPaC/xtwidget.h>

/****************************************************************/

Bool
OPxTitleWidget::Initialise (OPCoord x, OPCoord y, OPCoord dx, OPCoord dy,
							OPStringIn text, OPViewIn parent)
{
	OPViewRef view = this->ReturnObjectAsView ();
	
	view->SetParent (parent);
	view->SetOrigin (x, y);
	view->SetSize (dx, dy);
	this->SetTitle (text);
	
	return TRUE;
}

Bool
OPxTitleWidget::Initialise (OPCoord x, OPCoord y, OPCoord dx, OPCoord dy,
							OPStringIn text)
{
	OPViewRef view = this->ReturnObjectAsView ();
	
	view->SetOrigin (x, y);
	view->SetSize (dx, dy);
	this->SetTitle (text);
	
	return TRUE;
}
