
#include <OPaC/string.h>

#include <OPaC/sd/filedir.h>


class FilePerformer
{
	OPStringRef			base;
public:
	FilePerformer ()		{ }
	~FilePerformer ()		{ }
	void SetBase (OPStringIn path)	{ this->base = path->ReturnString (); }
	void Perform (OPStringIn base, const OPaC_FileInfo& info);
};

void
FilePerformer::Perform (OPStringIn base, const OPaC_FileInfo& info)
{
}


void
RecursiveOP (OPStringIn base, OPStringIn rel, FilePerformer& performer)
{
	OPaC_FileInfo info;
	OPaC_FileDir* dir  = OPaC_FileDir::New ();
	OPStringRef   path = base->ReturnString ();
	
	path->AppendString (rel);
	dir->Open (path, OPStringNull);
	
	while (dir->FindNext (info)) {
		performer.Perform (path, info);
		if (info.is_directory) {
			OPStringRef new_rel = rel->ReturnString ();
			new_rel->AppendString (info.name);
			RecursiveOP (base, new_rel, performer);
		}
	}
	
	dir->Close ();
	
	OPaC_FileDir::Delete (dir);
}


